All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.qualifiers
Class OLAPDimensionTreeModel

    com.sas.dataselectors.qualifiers.OLAPDimensionTreeModel

All Implemented Interfaces:
  OLAPMemberTreePathFactoryInterface, com.sas.dataselectors.qualifiers.AskSelectable, javax.swing.tree.TreeModel

    public class OLAPDimensionTreeModel

implements javax.swing.tree.TreeModel, OLAPMemberTreePathFactoryInterface, com.sas.dataselectors.qualifiers.AskSelectable

Constructor Summary
`OLAPDimensionTreeModel(OLAPMemberTreeModel model)`

Method Summary
`void` | `addTreeModelListener(javax.swing.event.TreeModelListener l)`
`java.lang.Object` | `getChild(java.lang.Object parent, int index)`
`int` | `getChildCount(java.lang.Object parent)`
`int` | `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`MetadataInterface` | `getMetadata()` Returns the MetadataInterface connected to the OLAP cube metadata server.
`OLAPMemberTreeModel` | `getModel()`
`java.lang.Object` | `getRoot()`
`java.util.List` | `getTreePathNodeList(FilterItemInterface filterItem, FilterValueInterface filterValue)` Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member derived from the given parameters.
`java.util.List` | `getTreePathNodeList(FilterValueInterface filterValue)` Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member derived from the given parameters.
`java.util.List` | `getTreePathNodeList(java.lang.String memberName)` Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member with the specified properties.
`java.util.List` | `getTreePathNodeList(java.lang.String cubeName, java.lang.String memberName)` Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member with the specified properties.
`boolean` | `isLeaf(java.lang.Object node)`
`boolean` | `isSelectable(java.lang.Object node)`
`void` | `removeTreeModelListener(javax.swing.event.TreeModelListener l)`
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Constructor Detail

### OLAPDimensionTreeModel

    public OLAPDimensionTreeModel(OLAPMemberTreeModel model)

Method Detail

### getModel

    public OLAPMemberTreeModel getModel()

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `javax.swing.tree.TreeModel`

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Specified by:
    `getChild` in interface `javax.swing.tree.TreeModel`

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeModel`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeModel`

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

### isSelectable

    public boolean isSelectable(java.lang.Object node)

  Specified by:
    `isSelectable` in interface `com.sas.dataselectors.qualifiers.AskSelectable`

### getMetadata

    public MetadataInterface getMetadata()

  Description copied from interface: `OLAPMemberTreePathFactoryInterface`
  Returns the MetadataInterface connected to the OLAP cube metadata server.

  Specified by:
    `getMetadata` in interface `OLAPMemberTreePathFactoryInterface`
  Returns:
    the MetadataInterface connected to the OLAP cube metadata server

### getTreePathNodeList

    public java.util.List getTreePathNodeList(java.lang.String cubeName,
                                              java.lang.String memberName)
                                       throws FilterException

  Description copied from interface: `OLAPMemberTreePathFactoryInterface`
  Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member with the specified properties.

  Specified by:
    `getTreePathNodeList` in interface `OLAPMemberTreePathFactoryInterface`
  Parameters:
    `cubeName` - the name of the OLAP cube to be searched
    `memberName` - the unique member name of the target cube member
  Returns:
    a List of OLAPMemberTreeNodes defining the path from the root to the target node
  Throws:
    `FilterException` - in the event of a communications failure or any error with the metadata server

### getTreePathNodeList

    public java.util.List getTreePathNodeList(java.lang.String memberName)
                                       throws FilterException

  Description copied from interface: `OLAPMemberTreePathFactoryInterface`
  Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member with the specified properties. The cube name is based on the root node of the tree.

  Specified by:
    `getTreePathNodeList` in interface `OLAPMemberTreePathFactoryInterface`
  Parameters:
    `memberName` - the unique member name of the target cube member
  Returns:
    a List of OLAPMemberTreeNodes defining the path from the root to the target node
  Throws:
    `FilterException` - in the event of a communications failure or any error with the metadata server

### getTreePathNodeList

    public java.util.List getTreePathNodeList(FilterItemInterface filterItem,
                                              FilterValueInterface filterValue)
                                       throws FilterException

  Description copied from interface: `OLAPMemberTreePathFactoryInterface`
  Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member derived from the given parameters.

  Specified by:
    `getTreePathNodeList` in interface `OLAPMemberTreePathFactoryInterface`
  Parameters:
    `filterItem` - a FilterItemInterface representing a BIQ DataItem from the OLAP cube to be searched
    `filterValue` - a FilterValueInterface representing the target member of an OLAP cube
  Returns:
    a List of OLAPMemberTreeNodes defining the path from the root to the target node
  Throws:
    `FilterException` - in the event of a communications failure or any error with the metadata server

### getTreePathNodeList

    public java.util.List getTreePathNodeList(FilterValueInterface filterValue)
                                       throws FilterException

  Description copied from interface: `OLAPMemberTreePathFactoryInterface`
  Returns a List of the OLAPMemberTreeNodes in order from the root of the tree model to the target node representing the unique cube member derived from the given parameters.

  Specified by:
    `getTreePathNodeList` in interface `OLAPMemberTreePathFactoryInterface`
  Parameters:
    `filterValue` - a FilterValueInterface representing the target member of an OLAP cube
  Returns:
    a List of OLAPMemberTreeNodes defining the path from the root to the target node
  Throws:
    `FilterException` - in the event of a communications failure or any error with the metadata server

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.